---
lang: en
title: 'API docs: testlab.httpoptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/testlab
permalink: /doc/en/lb4/apidocs.testlab.httpoptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/testlab](./testlab.md) &gt; [HttpOptions](./testlab.httpoptions.md)

## HttpOptions interface

**Signature:**

```typescript
export interface HttpOptions extends ListenOptions 
```
**Extends:** ListenOptions

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [protocol?](./testlab.httpoptions.protocol.md) |  | 'http' | _(Optional)_ |


